=== debian/changelog ===
bingo (0.9.0-2) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Bump debian/* copyright years
  * Drop newgateway pipeline

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Feb 2026 10:41:03 +0100

bingo (0.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #1118667)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 23 Oct 2025 19:50:16 +0200
