=== debian/control ===
Source: bingo
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-efficientgo-core-dev,
 golang-github-masterminds-semver-dev,
 golang-github-pkg-errors-dev,
 golang-github-spf13-cobra-dev,
 golang-golang-x-mod-dev,
 golang-mvdan-sh-dev,
 help2man <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/bingo
Vcs-Git: https://salsa.debian.org/go-team/packages/bingo.git
Homepage: https://github.com/bwplotka/bingo
XS-Go-Import-Path: github.com/bwplotka/bingo

Package: bingo
Section: devel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: Like `go get` but for Go tools (program)
 go get like, simple CLI that allows automated versioning of Go package
 level binaries (e.g required as dev tools by your project!) built on top
 of Go Modules, allowing reproducible dev environments.
 .
 This package contains the command-line tool 'bingo'.

Package: golang-github-bwplotka-bingo-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-efficientgo-core-dev,
 golang-github-masterminds-semver-dev,
 golang-github-pkg-errors-dev,
 golang-github-spf13-cobra-dev,
 golang-golang-x-mod-dev,
 golang-mvdan-sh-dev,
 ${misc:Depends},
Description: Like `go get` but for Go tools (Go library)
 go get like, simple CLI that allows automated versioning of Go package
 level binaries (e.g required as dev tools by your project!) built on top
 of Go Modules, allowing reproducible dev environments.
 .
 This package contains the Go source code.
