=== debian/watch ===
Version: 5
Template: Github
Owner: bwplotka
Project: bingo
